GET /properties

rentcast.io

Summary: Property Records
Operation ID: property-records
Auth: unknown
Description

Search for property records in a geographical area, or by a specific address.

Parameters (12)

address (string, query, optional, default: 5500 Grand Lake Dr, San Antonio, TX, 78244)

The full address of the property, in the format of `Street, City, State, Zip`. Used to retrieve data for a specific property, or together with the `radius` parameter to search for properties in a specific area

bathrooms (number, query, optional)

The number of bathrooms, used to search for properties matching this criteria. Supports fractions to indicate partial bathrooms

bedrooms (number, query, optional)

The number of bedrooms, used to search for properties matching this criteria. Use `0` to indicate a studio layout

city (string, query, optional)

The name of the city, used to search for properties in a specific city. This parameter is case-sensitive

latitude (number, query, optional)

The latitude of the search area. Use the `latitude`/`longitude` and `radius` parameters to search for properties in a specific area

limit (integer, query, optional)

The maximum number of property records to return, between 1 and 500. Defaults to 50 if not provided. [Learn more](https://developers.rentcast.io/reference/pagination) about pagination

longitude (number, query, optional)

The longitude of the search area. Use the `latitude`/`longitude` and `radius` parameters to search for properties in a specific area

offset (integer, query, optional)

The index of the first property record to return, used to paginate through large lists of results. Defaults to 0 if not provided. [Learn more](https://developers.rentcast.io/reference/pagination) about pagination

propertyType (string, query, optional)

The type of the property, used to search for properties matching this criteria. See [explanation of property types](https://developers.rentcast.io/reference/property-types)

Constraints: {'enum': ['Single Family', 'Condo', 'Townhouse', 'Manufactured', 'Multi-Family', 'Apartment', 'Land']}

radius (number, query, optional)

The radius of the search area in miles, with a maximum of 100. Use in combination with the `latitude`/`longitude` or `address` parameters to search for properties in a specific area

state (string, query, optional)

The 2-character state abbreviation, used to search for properties in a specific state. This parameter is case-sensitive

zipCode (string, query, optional)

The 5-digit zip code, used to search for properties in a specific zip code

No probe data for this endpoint yet.